TeleportFX2 = {}
TeleportFX2.__index = TeleportFX

function TeleportFX2.LoadAssets(me)
	LoadModel(me,"Square","Billboard","BlueLight.png")
end

function TeleportFX2:Params(me)
	SetMaxSize(me,5)
	ParamOnTop(me,true)
	ParamMaxLife(me,30)
	ParamAlphaType(me,2)
	ParamScale(me,22.5)
end

function TeleportFX2:Create(me)
	Emit(me,3)	
	
end

function TeleportFX2:Update(me)
	ParamScale(me,ParamScale(me)-.75)
end